export interface HtSensorData {
    batteryLow: boolean;
    channel: string;
    humidity: number;
    miscData1: number;
    miscData2: number;
    miscData3: number;
    rawTemp: number;
    signalQuality: number;
    tempCelsius: number;
    tempFahrenheit: number;
    validChecksum: boolean;
}
export declare enum PinSystem {
    VIRTUAL = 0,
    SYS = 1,
    GPIO = 2,
    PHYS = 3
}
export declare type HtSensorDataCallback = (data: HtSensorData) => void;
export declare function addSensorDataListener(pin: number | string, callback: HtSensorDataCallback): number;
export declare function addSensorDataListener(pin: number, pinSystem: PinSystem, callback: HtSensorDataCallback): number;
export declare function removeSensorDataListener(callbackId: number): void;
