"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const ArSignalMonitor = require('bindings')('ar_signal_monitor');
var PinSystem;
(function (PinSystem) {
    PinSystem[PinSystem["VIRTUAL"] = 0] = "VIRTUAL";
    PinSystem[PinSystem["SYS"] = 1] = "SYS";
    PinSystem[PinSystem["GPIO"] = 2] = "GPIO";
    PinSystem[PinSystem["PHYS"] = 3] = "PHYS";
})(PinSystem = exports.PinSystem || (exports.PinSystem = {}));
function addSensorDataListener(pin, pinSysOrCallback, callback) {
    let pinNumber;
    let pinSystem = PinSystem.VIRTUAL;
    if (typeof pin === 'string') {
        pinNumber = parseFloat(pin) || 2;
        const pinSystemIndex = 'sgp'.indexOf(pin.substr(-1).toLowerCase()) + 1;
        pinSystem = [PinSystem.VIRTUAL, PinSystem.SYS, PinSystem.GPIO, PinSystem.PHYS][pinSystemIndex];
    }
    else
        pinNumber = pin;
    if (typeof pinSysOrCallback === 'function')
        callback = pinSysOrCallback;
    else
        pinSystem = pinSysOrCallback;
    if (typeof callback !== 'function')
        throw new Error('callback function must be specified');
    return ArSignalMonitor.addSensorDataListener(pinNumber, pinSystem, callback);
}
exports.addSensorDataListener = addSensorDataListener;
function removeSensorDataListener(callbackId) {
    ArSignalMonitor.removeSensorDataListener(callbackId);
}
exports.removeSensorDataListener = removeSensorDataListener;
//# sourceMappingURL=index.js.map