"use strict";
var _a;
Object.defineProperty(exports, "__esModule", { value: true });
const index_1 = require("./index");
let pin = '';
for (let i = 0; i < process.argv.length - 1 && !pin; ++i)
    pin = process.argv[i] === '-p' ? (_a = process.argv[i + 1]) === null || _a === void 0 ? void 0 : _a.toLowerCase().trim() : '';
pin = pin || '2';
console.log(`Awaiting humidity/temperature data on pin ${pin}...`);
const id = index_1.addSensorDataListener(pin, data => {
    let formatted = JSON.stringify(data, null, 1).replace(/[{}"\n\r]/g, '').trim();
    formatted = formatted.replace(/(miscData1:) \d+/, '$1 0x' +
        data.miscData1.toString(16).toUpperCase().padStart(4, '0'));
    formatted = formatted.replace(/(miscData2:) \d+/, '$1 0x' +
        data.miscData2.toString(16).toUpperCase().padStart(2, '0'));
    formatted = formatted.replace(/(miscData3:) \d+/, '$1 0x' +
        data.miscData3.toString(16).toUpperCase());
    const date = new Date();
    const timeStamp = new Date(date.getTime() -
        date.getTimezoneOffset() * 60000).toISOString().substr(0, 19).replace('T', ' ') + ':';
    console.log(timeStamp, formatted);
});
process.on('SIGINT', () => {
    index_1.removeSensorDataListener(id);
    console.log();
    process.exit(0);
});
//# sourceMappingURL=test.js.map